Bug 165298 - [PATCH] editors/emacs: switch to graphics/giflib
Summary: [PATCH] editors/emacs: switch to graphics/giflib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-19 19:30 UTC by Jimmy Olgeni
Modified: 2012-05-05 17:40 UTC (History)
1 user (show)

See Also:


Attachments
emacs-23.3_7,2.patch (729 bytes, patch)
2012-02-19 19:30 UTC, Jimmy Olgeni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2012-02-19 19:30:01 UTC
Switch to using graphics/giflib rather than the deprecated
graphics/libungif; avoid picking up libungif from tinderbox builds.

Port maintainer (ashish@FreeBSD.org) is cc'd - hi there!

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-02-19 19:30:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-02-22 13:19:17 UTC
ashish      2012-02-22 13:19:03 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs        Makefile distinfo 
  Added files:
    editors/emacs/files  patch-lisp-vc-svn.el 
  Log:
  - Update to version 23.4
  - Remove dependency on libungif[1]
  - Import a diff from bzr repository to make VC work with Subversion 1.7[2]
  
  PR:             ports/165298[1], ports/162191[2]
  Submitted by:   olgeni[1], Yasuhiro KIMURA <yasu@utahime.org>[2]
  
  Revision  Changes    Path
  1.111     +1 -7      ports/editors/emacs/Makefile
  1.23      +2 -2      ports/editors/emacs/distinfo
  1.1       +184 -0    ports/editors/emacs/files/patch-lisp-vc-svn.el (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ashish SHUKLA freebsd_committer 2012-02-22 13:47:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 rotkap 2012-02-24 16:00:36 UTC
It's still there:



configure: error: The following required libraries were not found:
     libgif/libungif
Maybe some development libraries/packages are missing?
If you don't want to link with them give
     --with-gif=no
as options to configure
===>  Script "configure" failed unexpectedly.
Please report the problem to ashish@FreeBSD.org [maintainer] and attach the
"/usr/ports/editors/emacs-devel/work/emacs-24.0.93.107364/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/editors/emacs-devel.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20120224-82395-k7ezld-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=emacs-24.0.90.106240_1,1 UPGRADE_PORT_VER=24.0.90.106240_1,1 make BATCH=yes
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! editors/emacs-devel (emacs-24.0.90.106240_1,1)        (configure error)
Comment 5 Ashish SHUKLA freebsd_committer 2012-05-05 17:31:27 UTC
Hi Heino,

Sorry for the delay in followup.

Do you still get the issue you mentioned in your last email?

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

Sent from my Emacs